- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- SaasUsageProfileReport
- Try it!
Find SaaS usage reports of a customer grouped by profiles based on the given search and sorting criteria.
HTTP request
GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:findSaasUsageProfiles
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customer |
Required. Obfuscated customer ID prefixed with "customers/C" or "customers/my_customer". |
Query parameters
| Parameters | |
|---|---|
app |
Required. The name of the SaaS application (e.g., |
pageSize |
Optional. The maximum number of reports to return. The service may return fewer than this value. If unspecified, at most 100 reports will be returned. The maximum value is 200; values above 200 will be coerced to 200. |
pageToken |
Optional. A page token, received from a previous |
filter |
Optional. The filter expression to narrow down the SaaS profile reports to return. Supported operators are: =, !=, <, <=, >, >=, :. Logical operators AND, OR, and NOT are supported. Supported fields:
|
orderBy |
Optional. The order by expression to sort the SaaS profile reports. Supported fields:
Default order is ascending. To specify descending order for a field, append " desc". |
Request body
The request body must be empty.
Response body
Response to reports.findSaasUsageProfiles method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"profileReports": [
{
object ( |
| Fields | |
|---|---|
profileReports[] |
The list of SaaS usage profile reports. |
nextPageToken |
A token, which can be sent as |
totalSize |
Total number of SaaS usage profile reports that match the request. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/chrome.management.reports.readonly
SaasUsageProfileReport
Represents a single SaaS report entry grouped by profile.
| JSON representation |
|---|
{
"email": string,
"profilePermanentId": string,
"firstNavigationTime": string,
"lastNavigationTime": string,
"orgUnitId": string,
"osPlatform": enum ( |
| Fields | |
|---|---|
email |
Output only. The email of the user. |
profilePermanentId |
Output only. The permanent ID of the profile. |
firstNavigationTime |
Output only. The timestamp when the application was first navigated to by this profile. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
lastNavigationTime |
Output only. The timestamp when the application was last navigated to by this profile. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
orgUnitId |
Output only. The ID of the organizational unit. |
osPlatform |
Output only. The OS platform. |
osVersion |
Output only. The OS version. |